### Function

# Gimp rgba_get_uchar

#### Declaration [src]

    void
    gimp_rgba_get_uchar (
      const GimpRGB* rgba,
      guchar* red,
      guchar* green,
      guchar* blue,
      guchar* alpha
    )

#### Description [src]

Gets the 8bit red, green, blue and alpha components of `rgba`.

#### Parameters

`rgba` | `GimpRGB`
| A `GimpRGB` struct.
| The data is owned by the caller of the function.
`red` | `guchar*`
| Location for the red component.
| The argument will be set by the function.
| The argument can be `NULL`.
`green` | `guchar*`
| Location for the green component.
| The argument will be set by the function.
| The argument can be `NULL`.
`blue` | `guchar*`
| Location for the blue component.
| The argument will be set by the function.
| The argument can be `NULL`.
`alpha` | `guchar*`
| Location for the alpha component.
| The argument will be set by the function.
| The argument can be `NULL`.